# template: default
%global gem_name dry-schema

Name: rubygem-%{gem_name}
Version: 1.10.6
Release: 1%{?dist}
Summary: Coercion and validation for data structures
License: MIT
URL: https://dry-rb.org/gems/dry-schema
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.7.0
BuildRequires: ruby >= 2.7.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
dry-schema provides a DSL for defining schemas with keys and rules that should
be applied to
values. It supports coercion, input sanitization, custom types and localized
error messages
(with or without I18n gem). It's also used as the schema engine in
dry-validation.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%exclude %{gem_instdir}/dry-schema.gemspec

%changelog
* Tue Aug 22 2023 Dirk Goetz <dirk.goetz@netways.de> 1.10.6-1
- Update to 1.10.6

* Tue May 31 2022 Dirk Goetz <dirk.goetz@netways.de> 1.6.2-1
- Add rubygem-dry-schema generated by gem2rpm using the scl template

